2 a372187663 a372187663 于 2015.06.07 13:44 提问

ubuntu64位qmake出来的makefile文件出了问题 5C

**/usr/bin/ld: skipping incompatible /opt/qt/5.2.0/gcc/lib/libQt5Widgets.so when searching for -lQt5Widgets
/usr/bin/ld: cannot find -lQt5Widgets

/usr/bin/ld: skipping incompatible /opt/qt/5.2.0/gcc/lib/libQt5Gui.so when searching for -lQt5Gui
/usr/bin/ld: cannot find -lQt5Gui

/usr/bin/ld: skipping incompatible /opt/qt/5.2.0/gcc/lib/libQt5Core.so when searching for -lQt5Core
/usr/bin/ld: cannot find -lQt5Core
**

提示出错目录看了一下 都有这些.so文件 为何会出错?? 听说要加-m32 不知道加在哪里
makefile前几条也贴出来吧。
CC = gcc
CXX = g++
DEFINES = -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS = -pipe -O2 -Wall -W -D_REENTRANT -fPIE $(DEFINES)
CXXFLAGS = -pipe -O2 -Wall -W -D_REENTRANT -fPIE $(DEFINES)
INCPATH = -I/opt/qt/5.2.0/gcc/mkspecs/linux-g++ -I. -I/opt/qt/5.2.0/gcc/include -I/opt/qt/5.2.0/gcc/include/QtWidgets -I/opt/qt/5.2.0/gcc/include/QtGui -I/opt/qt/5.2.0/gcc/include/QtCore -I. -I.
19 LINK = g++
20 LFLAGS = -Wl,-O1 -Wl,-rpath,/opt/qt/5.2.0/gcc -Wl,-rpath,/opt/qt/5.2.
0/gcc/lib
21 LIBS = $(SUBLIBS) -L/opt/qt/5.2.0/gcc/lib -lQt5Widgets -lQt5Gui -lQ
t5Core -lGL -lpthread
22 AR = ar cqs
23 RANLIB =
24 QMAKE = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake

请大牛指点迷津

4个回答

oyljerry
oyljerry   Ds   Rxr 2015.06.08 22:58

64位os,你应该用64位的qt库文件。你的是32位的。

tt_li
tt_li   2015.06.07 14:22

配置文件出问题了 建议去修改出错的脚本

a372187663
a372187663   2015.06.07 19:04

我的.profie 文件 **PATH="$PATH:$HOME/bin:.:/opt/qt/5.2.0/gcc/bin" **

是这个错了么?

datou431
datou431   Rxr 2015.06.09 18:29

建议去修改出错的脚本

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!